| Leonetienne/Hazelnupp Simple, easy to use, command line parameter interface

Public Member Functions | List of all members
HazelnuppValueNotConvertibleException Class Reference

Gets thrown when an attempt is made to retrieve the wrong data type from a value, when the value not convertible. More...

`#include <HazelnuppException.h>`

Inheritance diagram for HazelnuppValueNotConvertibleException:
[legend]
Collaboration diagram for HazelnuppValueNotConvertibleException:
[legend]

## Public Member Functions
| HazelnuppValueNotConvertibleException ()
| HazelnuppValueNotConvertibleException (const std::string &msg)
Public Member Functions inherited from HazelnuppException
| HazelnuppException ()
| HazelnuppException (const std::string &msg)
const std::string & | What () const
| Will return an error message. More...

## Additional Inherited Members
Protected Attributes inherited from HazelnuppException
std::string | message

## Detailed Description

Gets thrown when an attempt is made to retrieve the wrong data type from a value, when the value not convertible.

Definition at line 33 of file HazelnuppException.h.

## Constructor & Destructor Documentation

## ◆ HazelnuppValueNotConvertibleException() [1/2]

HazelnuppValueNotConvertibleException::HazelnuppValueNotConvertibleException | ( |  | ) |
| inline

Definition at line 36 of file HazelnuppException.h.

36 : HazelnuppException() {};

## ◆ HazelnuppValueNotConvertibleException() [2/2]

HazelnuppValueNotConvertibleException::HazelnuppValueNotConvertibleException | ( | const std::string & | msg | ) |
| inline

Definition at line 37 of file HazelnuppException.h.

37 : HazelnuppException(msg) {};

The documentation for this class was generated from the following file:

- Hazelnupp/HazelnuppException.h

HazelnuppException::HazelnuppException
HazelnuppException()
Definition: HazelnuppException.h:9